Skip to main content
GET
/
api
/
v1
/
user
/
api-keys
Get Api Keys
curl --request GET \
  --url https://app.asisso.com/api/v1/user/api-keys
import requests

url = "https://app.asisso.com/api/v1/user/api-keys"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.asisso.com/api/v1/user/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 123,
    "name": "<string>",
    "key_prefix": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "archived_at": "2023-11-07T05:31:56Z"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
The key field is never returned in list responses — only key_prefix (the first 8 characters) is shown for identification. To include archived keys, pass ?include_archived=true.

Headers

authorization
string | null
X-API-Key
string | null

Query Parameters

include_archived
boolean
default:false

Response

Successful Response

id
integer
required
name
string
required
key_prefix
string
required
is_active
boolean
required
created_at
string<date-time>
required
last_used_at
string<date-time> | null
archived_at
string<date-time> | null